Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ObjectResolverSpecification

    java.lang.Object
      oracle.ifs.common.ObjectResolverSpecification

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class ObjectResolverSpecification

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

An ObjectResolverSpecification is used to specify the extent for which object are resolved by the oracle.ifs.server.ObjectResolver class.

See Also:
  Serialized Form
(Unpublished)

Constructor Summary
`ObjectResolverSpecification()` default constructor.

Method Summary
`boolean` | `isCategoryResolution()` gets the Category Resolution setting.
`boolean` | `isContentObjectResolution()` gets the ContentObject Resolution setting.
`boolean` | `isDeepCategoryAttributeResolution()` gets the Deep Category Attribute Resolution setting.
`boolean` | `isDeepObjectAttributeResolution()` gets Deep Object Attribute Resolution setting.
`boolean` | `isDeepVersionedObjectResolution()` gets the Deep Versioned Object Resolution setting.
`boolean` | `isVersionedObjectResolution()` gets the Versioned Object Resolution setting.
`void` | `setCategoryResolution(boolean value)` set Category Resolution.
`void` | `setContentObjectResolution(boolean value)` set ContentObject Resolution.
`void` | `setDeepCategoryAttributeResolution(boolean value)` set Deep Category Attribute Resolution.
`void` | `setDeepObjectAttributeResolution(boolean value)` set Deep Object Attribute Resolution.
`void` | `setDeepVersionedObjectResolution(boolean value)` set Deep Versioned Object Resolution.
`void` | `setFullResolution(boolean value)` set Full Resolution.
`void` | `setVersionedObjectResolution(boolean value)` set Versioned Object Resolution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectResolverSpecification

    public ObjectResolverSpecification()

  default constructor.

  Throws:
    `IfsException` - if operation fails.
  (Published)

Method Detail

### setFullResolution

    public void setFullResolution(boolean value)

  Description copied from class: `ObjectResolverSpecification`
  set Full Resolution. This enables all defined options.

  Parameters:
    `value` - whether this resolution option is enabled
  (Published)

### setDeepObjectAttributeResolution

    public void setDeepObjectAttributeResolution(boolean value)

  Description copied from class: `ObjectResolverSpecification`
  set Deep Object Attribute Resolution. This will resolve all specified objects, ensuring that all extended and inherited attributes are available from the the data cache.

  Parameters:
    `value` - whether this resolution option is enabled
  (Published)

### setCategoryResolution

    public void setCategoryResolution(boolean value)

  Description copied from class: `ObjectResolverSpecification`
  set Category Resolution. This ensures that all specified objects that are PublicObjects have resolved the set the categories defined for them.

  Parameters:
    `value` - whether this resolution option is enabled
  (Published)

### setDeepCategoryAttributeResolution

    public void setDeepCategoryAttributeResolution(boolean value)

  Description copied from class: `ObjectResolverSpecification`
  set Deep Category Attribute Resolution. This ensures that any Category that is resolved is resolved fully so that all extended and inherited attributes are available in the data cache.

  Parameters:
    `value` - whether this resolution option is enabled
  (Published)

### setVersionedObjectResolution

    public void setVersionedObjectResolution(boolean value)

  Description copied from class: `ObjectResolverSpecification`
  set Versioned Object Resolution. This forces resolution of the resolvedPublicObject of any specified PublicObject whose ResolvedPublicObject is not the same as the object itself. This option will only ensure resolution to a Document.

  Parameters:
    `value` - whether this resolution option is enabled
  (Published)

### setDeepVersionedObjectResolution

    public void setDeepVersionedObjectResolution(boolean value)

  Description copied from class: `ObjectResolverSpecification`
  set Deep Versioned Object Resolution. This option is similar to the setVersionedObjectResolution option, but also ensures that the ResolvedPublicObject is resolved so that all extended and inherited attributes are available in the data cache.

  Parameters:
    `value` - whether this resolution option is enabled
  (Published)

### setContentObjectResolution

    public void setContentObjectResolution(boolean value)

  Description copied from class: `ObjectResolverSpecification`
  set ContentObject Resolution. This ensures that for any Document objects that are specified (either directly or as a result of resolving via the setVersionedObjectResolution option) will also resolve their associated ContentObject.

  Parameters:
    `value` - whether this resolution option is enabled
  (Published)

### isDeepObjectAttributeResolution

    public boolean isDeepObjectAttributeResolution()

  Description copied from class: `ObjectResolverSpecification`
  gets Deep Object Attribute Resolution setting.

  Returns:
    whether this resolution option is enabled
  (Published)

### isCategoryResolution

    public boolean isCategoryResolution()

  Description copied from class: `ObjectResolverSpecification`
  gets the Category Resolution setting.

  Returns:
    whether this resolution option is enabled
  (Published)

### isDeepCategoryAttributeResolution

    public boolean isDeepCategoryAttributeResolution()

  Description copied from class: `ObjectResolverSpecification`
  gets the Deep Category Attribute Resolution setting.

  Returns:
    whether this resolution option is enabled
  (Published)

### isVersionedObjectResolution

    public boolean isVersionedObjectResolution()

  Description copied from class: `ObjectResolverSpecification`
  gets the Versioned Object Resolution setting.

  Returns:
    whether this resolution option is enabled
  (Published)

### isDeepVersionedObjectResolution

    public boolean isDeepVersionedObjectResolution()

  Description copied from class: `ObjectResolverSpecification`
  gets the Deep Versioned Object Resolution setting.

  Returns:
    whether this resolution option is enabled
  (Published)

### isContentObjectResolution

    public boolean isContentObjectResolution()

  Description copied from class: `ObjectResolverSpecification`
  gets the ContentObject Resolution setting.

  Returns:
    whether this resolution option is enabled
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD